commit 55cd12c65ffa1e7c0bb36fd398f178d5d15d660f
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Tue Sep 15 09:37:48 2020 +0200

    i386: Fix up vector mul and div with broadcasts in -masm=intel mode
    
    These patterns printed bogus <>s around the {1to16} and similar strings.
    
    2020-09-15  Jakub Jelinek  <jakub@redhat.com>
    
            PR target/97028
            * config/i386/sse.md (mul<mode>3<mask_name>_bcs,
            <avx512>_div<mode>3<mask_name>_bcst): Use <avx512bcst> instead of
            <<avx512bcst>>.
    
            * gcc.target/i386/avx512f-pr97028.c: Untested fix.
    
    (cherry picked from commit 0f079e104a8d1994b6b47169a6b45737615eb2d7)

diff --git a/gcc/testsuite/gcc.target/i386/avx512f-pr97028.c b/gcc/testsuite/gcc.target/i386/avx512f-pr97028.c
new file mode 100644
index 00000000000..2719108a411
--- /dev/null
+++ b/gcc/testsuite/gcc.target/i386/avx512f-pr97028.c
@@ -0,0 +1,18 @@
+/* PR target/97028 */
+/* { dg-do assemble { target avx512f } } */
+/* { dg-require-effective-target masm_intel } */
+/* { dg-options "-O2 -mavx512f -masm=intel" } */
+
+#include <x86intrin.h>
+
+__m512
+foo (__m512 x, float *y)
+{
+  return _mm512_mul_ps (x, _mm512_set1_ps (*y));
+}
+
+__m512
+bar (__m512 x, float *y)
+{
+  return _mm512_div_ps (x, _mm512_set1_ps (*y));
+}

